# Uses of Interface
org.apache.lucene.search.QueryCachingPolicy

Packages that use QueryCachingPolicy
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of QueryCachingPolicy in org.apache.lucene.search

  Classes in org.apache.lucene.search that implement QueryCachingPolicy
  Modifier and Type
  Class
  Description
  `class`
  `UsageTrackingQueryCachingPolicy`
  A `QueryCachingPolicy` that tracks usage statistics of recently-used filters in order to decide on which filters are worth caching.
  Methods in org.apache.lucene.search that return QueryCachingPolicy
  Modifier and Type
  Method
  Description
  `static QueryCachingPolicy`
  IndexSearcher.`getDefaultQueryCachingPolicy()`
  Expert: Get the default `QueryCachingPolicy`.
  `QueryCachingPolicy`
  IndexSearcher.`getQueryCachingPolicy()`
  Return the query cache of this `IndexSearcher`.
  Methods in org.apache.lucene.search with parameters of type QueryCachingPolicy
  Modifier and Type
  Method
  Description
  `Weight`
  LRUQueryCache.`doCache(Weight weight, QueryCachingPolicy policy)`
  `Weight`
  QueryCache.`doCache(Weight weight, QueryCachingPolicy policy)`
  Return a wrapper around the provided `weight` that will cache matching docs per-segment accordingly to the given `policy`.
  `static void`
  IndexSearcher.`setDefaultQueryCachingPolicy(QueryCachingPolicy defaultQueryCachingPolicy)`
  Expert: set the default `QueryCachingPolicy` instance.
  `void`
  IndexSearcher.`setQueryCachingPolicy(QueryCachingPolicy queryCachingPolicy)`
  Set the `QueryCachingPolicy` to use for query caching.